# eric7.Plugins.WizardPlugins.FontDialogWizard.FontDialogOptionsDialog

Module implementing a dialog to select the applicable font dialog options.

### Global Attributes

None

### Classes

FontDialogOptionsDialog | Class implementing a dialog to select the applicable font dialog options.

### Functions

None

## FontDialogOptionsDialog

Class implementing a dialog to select the applicable font dialog options.

### Derived from

QDialog, Ui_FontDialogOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

FontDialogOptionsDialog | Constructor
getOptions | Public method to get the selected font dialog options.

### Static Methods

None

#### FontDialogOptionsDialog (Constructor)

FontDialogOptionsDialog(options, parent=None)

Constructor

options (dict)
  dictionary with flags for the various dialog options
parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### FontDialogOptionsDialog.getOptions

getOptions()

Public method to get the selected font dialog options.

Return:
  dictionary with flags for the various dialog options

Return Type:
  dict

Up